# ApplicationFramework
TKCDF
PCDM

# PCDM_Writer Class Reference

`#include <PCDM_Writer.hxx>`

Inheritance diagram for PCDM_Writer:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Write (const Handle(CDM_Document)&aDocument, const TCollection_ExtendedString &aFileName)=0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const PCDM_Writer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in BinDrivers_DocumentStorageDriver, BinLDrivers_DocumentStorageDriver, MDocStd_DocumentStorageDriver, PCDM_StorageDriver, StdDrivers_DocumentStorageDriver, StdLDrivers_DocumentStorageDriver, XmlDrivers_DocumentStorageDriver, and XmlLDrivers_DocumentStorageDriver.

virtual Standard_EXPORT void PCDM_Writer::Write | ( | const Handle(CDM_Document)& | aDocument,
|  | const TCollection_ExtendedString & | aFileName
| ) | `[pure virtual]`

| Implemented in BinLDrivers_DocumentStorageDriver, PCDM_StorageDriver, and XmlLDrivers_DocumentStorageDriver.

The documentation for this class was generated from the following file:

- PCDM_Writer.hxx